( function( api ) {
	// Extends our custom "ultimate-blogger" section.
	api.sectionConstructor['ultimate-blogger'] = api.Section.extend( {

		// No events for this type of section.
		attachEvents: function () {},

		// Always make the section active.
		isContextuallyActive: function () {
			return true;
		}
	} );

} )( wp.customize );

(function ($) {
    function ResetChildDemoSettings() {
        if (!confirm("Are you sure you want to reset demo import settings?")) return;

        $.post(ajaxurl, { action: 'ultimate_blogger_reset_demo_import_settings' }, function () {
            location.reload();
        });
    }

    window.ResetChildDemoSettings = ResetChildDemoSettings;
})(jQuery);

(function ($, wp) {
    function ResetChildGlobalColor() {
        if (confirm("Are you sure you want to reset global color settings?")) {
            wp.customize.instance("multipurpose_blog_hi_first_color").set("#c7a770");
        }
    }

    window.ResetChildGlobalColor = ResetChildGlobalColor;
})(jQuery, wp);

